QGIS Application - Bug report #15793
Fill ring tool is broken
2016-10-31 10:28 AM - Luca Mandolesi

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Digitising

Affected QGIS version:3.5(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 23713
Description

Qgis 2.18 32bit osgeo network installer Win 10.

If you have a polygon with a ring, when you use fill ring tool, you obtain a new geometry (as you expect) and a new part of the previous
geometry.

Example:

in a shapefile

1 - add a polygon
2 -save it

3 -add aring

4 - save

5 - fill it with fill ring

Result
- a new geometry added inside the shape of the ring
- a new "multipart" added without a correct shape

Also in spatialite the same, but it doesn't allow to save, and, if you discard the editing, the feature will be saved with a new unformed
multipart.
If you try to delete the new multipart, all the geometry will be deleted.

History

#1 - 2016-10-31 10:29 AM - Luca Mandolesi
- File edifici.zip added

#2 - 2017-05-01 01:02 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2019-01-24 10:09 AM - salvatore fiandaca

- Affected QGIS version changed from 2.18.0 to 3.5(master)
- Description updated

- Priority changed from Normal to High

- File bug.gif added

- Regression? changed from No to Yes

- Operating System set to Windows 10 64 bit
problem still present in 2.18.28, in 3.4.4 and in the master

it's a regression based on this link:
https://gis.stackexchange.com/questions/8957 1/how-to-fill-in-a-ring-polygon-in-qgis-2-2

#4 - 2019-01-26 11:50 AM - Giovanni Manghi

- Subject changed from Fill ring unexpected result on polygonal layer - Qgis 2.18 - Win 10 to Fill ring tool is broken
- Operating System deleted (Windows 10 64 bit)

- Category changed from Vectors to Digitising

#5 - 2019-01-29 12:38 AM - Nyall Dawson
- Assignee set to Nyall Dawson

#6 - 2019-01-29 01:08 AM - Nyall Dawson

- Status changed from Open to Feedback

| cannot reproduce. Can you attach a screencast showing the issue?

#7 - 2019-01-29 10:52 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

| see where the misunderstanding come from:

the tool in QGIS was made to open/create a ring in a polygon and automatically fill it with a new polygon

BUT

the name "fill ring" makes users think they can fill an existing ring by digitizing a polygon around the ring --> this will cause the result as shown in the
attached screencast.

Technically there is no bug BUT | agree that the tool name is at least misleading AND that actually a tool to fill existing rings (possibly with 1 click) should

be added to the digitizing toolbar.

#8 - 2019-01-29 11:00 AM - Nyall Dawson

The tool already does this -- shift click an existing hole. Maybe it's just a documentation issue, or someone needs to read existing docs? ;)

#9 - 2019-01-29 11:43 AM - Jiirgen Fischer

Nyall Dawson wrote:

The tool already does this -- shift click an existing hole. Maybe it's just a documentation issue, or someone needs to read existing docs? ;)

see commit:e7744bdcd4708b3d61376ceQaab5ee6a8fe3656a
https://gis.stackexchange.com/questions/89571/how-to-fill-in-a-ring-polygon-in-qgis-2-2

#10 - 2019-01-29 12:22 PM - Giovanni Manghi

Jurgen Fischer wrote:

Nyall Dawson wrote:

The tool already does this -- shift click an existing hole. Maybe it's just a documentation issue, or someone needs to read existing docs? ;)

see commit:e7744bdcd4708b3d61376ce9aab5ec6a8fe3656a

shame on me, | missed the functionality or maybe | just forgot about it.

Files
edifici.zip 1.8 KB 2016-10-31 Luca Mandolesi
bug.gif 663 KB 2019-01-24 salvatore fiandaca
